﻿$ErrorActionPreference = "Stop";

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  fileType = "exe"
  silentArgs = "/SD"
  url = "https://d3qm0vl2sdkrc.cloudfront.net/releases/6.1918.0/6.1918.0.20205/release/DashlaneInst.exe"
  validExitCodes = @(0,1223)
  checksum = "dd752b0f9d6a37eaeb490e9929b5f7b7d0bb31aa"
  checksumType = "sha1"
};

Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation "dashlane*"
if ($installLocation) {
  Write-Host "$packageName installed to '$installLocation'"
} else {
  Write-Warning "Can't find install location"
}

Start-Sleep -Seconds 20

Get-Process -Name "dashlane*" | % {
  Write-Host "Stopping $($_.ProcessName) process ($($_.Id)) ..."
  Stop-Process $_
}
